summaryrefslogtreecommitdiff
path: root/multimedia
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gst-plugins-base/README9
-rw-r--r--multimedia/gst-plugins-base/gst-plugins-base.SlackBuild91
-rw-r--r--multimedia/gst-plugins-base/gst-plugins-base.info8
-rw-r--r--multimedia/gst-plugins-base/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/multimedia/gst-plugins-base/README b/multimedia/gst-plugins-base/README
new file mode 100644
index 0000000000..6527d0855a
--- /dev/null
+++ b/multimedia/gst-plugins-base/README
@@ -0,0 +1,9 @@
+GStreamer Base Plug-ins is a well-groomed and well-maintained
+collection of GStreamer plug-ins and elements, spanning the
+range of possible types of elements one would want to write
+for GStreamer. It also contains helper libraries and base
+classes useful for writing elements. A wide range of video
+and audio decoders, encoders, and filters are included.
+
+This build requires both liboil and gstreamer. Both slackbuilds
+are available at slackbuilds.org.
diff --git a/multimedia/gst-plugins-base/gst-plugins-base.SlackBuild b/multimedia/gst-plugins-base/gst-plugins-base.SlackBuild
new file mode 100644
index 0000000000..976152631f
--- /dev/null
+++ b/multimedia/gst-plugins-base/gst-plugins-base.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for gst-plugins-base
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gst-plugins-base
+VERSION=0.10.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Exit on most errors
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING* INSTALL NEWS README RELEASE REQUIREMENTS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gst-plugins-base/gst-plugins-base.info b/multimedia/gst-plugins-base/gst-plugins-base.info
new file mode 100644
index 0000000000..215f1d812b
--- /dev/null
+++ b/multimedia/gst-plugins-base/gst-plugins-base.info
@@ -0,0 +1,8 @@
+PRGNAM="gst-plugins-base"
+VERSION="0.10.21"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-plugins-base.html"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-0.10.21.tar.bz2"
+MD5SUM="0e0cd485311502ad1c0c028148e3186a"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Erik Hanson"
diff --git a/multimedia/gst-plugins-base/slack-desc b/multimedia/gst-plugins-base/slack-desc
new file mode 100644
index 0000000000..162a7636b9
--- /dev/null
+++ b/multimedia/gst-plugins-base/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-plugins-base: gst-plugins-base (a set of GStreamer plugins)
+gst-plugins-base:
+gst-plugins-base: GStreamer Base Plug-ins is a well-groomed and well-maintained
+gst-plugins-base: collection of GStreamer plug-ins and elements, spanning the
+gst-plugins-base: range of possible types of elements one would want to write
+gst-plugins-base: for GStreamer. It also contains helper libraries and base
+gst-plugins-base: classes useful for writing elements. A wide range of video
+gst-plugins-base: and audio decoders, encoders, and filters are included.
+gst-plugins-base:
+gst-plugins-base: gst-plugins-base is a an essential exemplary set of plugins
+gst-plugins-base: